 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.PigstyEntity;
import com.huimv.management.service.PigstyService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 猪舍表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Api(tags = "猪舍表")
@RestController
@RequestMapping("management/pigsty")
public class PigstyController {
    @Autowired
    private PigstyService pigstyService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = pigstyService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		PigstyEntity pigsty = pigstyService.getById(id);

        return R.ok().put("pigsty", pigsty);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody PigstyEntity pigsty){
		pigstyService.save(pigsty);

        return R.ok();
    }

    /**j
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody PigstyEntity pigsty){
		pigstyService.updateById(pigsty);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
//		pigstyService.removeByIds(Arrays.asList(ids));
        Integer delete = pigstyService.delete(ids);
        if (delete == 1){
            pigstyService.removeByIds(Arrays.asList(ids));
            return R.ok();
        }else {
            return R.error().put("msg","猪舍中有猪未处理");
        }


    }

    /**
     * 查询全部
     */
    @RequestMapping("/findAll")
    public R findAll(){
        List list = pigstyService.findAll();

        return R.ok().put("all",list);
    }

}
